<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Calculator (Level 2 - Exercise 16)</title>
    <style>
        * {
            font-family: Calibri;
            font-size: 1.3em;
            color: white;
            margin: 0;
            padding: 0;
        }

        html,
        body {
            width: 100%;
            height: 100%;
        }

        #calculator {
            display: grid;
            width: 100%;
            height: 100%;
            background: dodgerblue;
            grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
            grid-template-rows: 1fr 1fr 1fr 1fr;
            grid-template-areas:
                "number-1-label number-1-label number-1-input    number-1-input  number-1-input"
                "number-2-label number-2-label number-2-input    number-2-input  number-2-input"
                "operator-plus  operator-minus operator-multiply operator-divide clear"
                "result         result         result            result          result";
        }

        #calculator>div {
            display: flex;
            justify-content: center;
            align-items: center;
            border: 1px solid darkblue;
        }

        #number-1-label {
            grid-area: number-1-label;
        }

        #number-1-input {
            grid-area: number-1-input;
        }

        #number-2-label {
            grid-area: number-2-label;
        }

        #number-2-input {
            grid-area: number-2-input;
        }

        #operator-plus {
            grid-area: operator-plus;
            cursor: pointer;
        }

        #operator-plus:hover {
            background: darkblue;
        }

        #operator-minus {
            grid-area: operator-minus;
        }

        #operator-multiply {
            grid-area: operator-multiply;
        }

        #operator-divide {
            grid-area: operator-divide;
        }

        #clear {
            grid-area: clear;
        }

        #result {
            grid-area: result;
        }

        .calculator-button {
            cursor: pointer;
        }

        .calculator-button:hover {
            background: darkblue;
        }

        input {
            color: #000000;
        }
    </style>
</head>

<body>
    <div id="calculator">
        <div id="number-1-label">Number 1:</div>
        <div id="number-1-input">
            <input type="text" id="number1" onkeydown="return validateDigit(event)">
        </div>
        <div id="number-2-label">Number 2:</div>
        <div id="number-2-input">
            <input type="text" id="number2" onkeydown="return validateDigit(event)">
        </div>
        <div class="calculator-button" id="operator-plus" onclick="addUp()">+</div>
        <div class="calculator-button" id="operator-minus" onclick="subtract()">-</div>
        <div class="calculator-button" id="operator-multiply" onclick="multiply()">X</div>
        <div class="calculator-button" id="oparator-divide" onclick="divide()">/</div>
        <div class="calculator-button" id="clear" onclick="clearNumbers()">C</div>
        <div id="result">RESULT</div>
    </div>
    <script>
        const getNum1 = () => +document.querySelector('#number-1-input>input').value;
        const getNum2 = () => +document.querySelector('#number-2-input>input').value;
        const addUp = () => document.querySelector('#result').innerText = getNum1() + getNum2();
        const subtract = () => document.querySelector('#result').innerText = getNum1() - getNum2();
        const multiply = () => document.querySelector('#result').innerText = getNum1() * getNum2();
        const divide = () => document.querySelector('#result').innerText = getNum1() / getNum2();
        function clearNumbers() {
            document.querySelector('#number-1-input>input').value = '';
            document.querySelector('#number-2-input>input').value = ''
            document.querySelector('#result').innerText = '';
        }
        function validateDigit(event) {
            let insertedKey = event.key;
            let numberRe = /^\d$/;
            if (!numberRe.test(insertedKey)) {
                return false;
            }
            return true;
        }
    </script>
</body>

</html>